Secrets of Toanium - Support #394

Refactor Map to have helper that checks for lights at a square

06/11/2025 07:39 PM - Administrator Administrator

Status: Closed
Priority: Normal
Assignee: Jay Gischer
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/11/2025

0%
0.00 hour
0.00 hour

Description

we need a helper map.hasLights(x,y) that returns the light at x,y of a map, and null if it doesn't exist. Or something like that.

Also map.lights() which returns a list of all lights, after checking tiles and calculating the map coordinates.

Then we need to change the rendering to use this api

History

#1 - 07/15/2025 07:54 PM - Frank Fernandez
- Status changed from New to Resolved

- Assignee changed from Frank Fernandez to Jay Gischer

Should be good to go on dev.

#2 - 08/06/2025 05:10 PM - Administrator Administrator

- Status changed from Resolved to Closed

Pushed in 0.29.0
